The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

В сборках Debian для архитектуры i386 повышены требования к классу CPU

07.05.2016 22:58

Разработчики проекта Debian объявили об изменении минимальных требований к процессорам, на которых смогут работать сборки Debian для архитектуры i386. В качестве минимально поддерживаемых вместо 586 отныне заявлены процессоры класса 686. Таким образом, поддержка процессоров старее выпущенного 20 лет назад Pentium Pro прекращена (поддержка 486 была прекращена в Debian Squeeze).

С декабря пакеты с ядром Linux новее 4.3 для архитектуры i386 уже собираются только с поддержкой процессоров 686. Отныне изменения внесены и в GCC, что привело к сборке всех пакетов в Debian Unstable и Testing с использованием генерации кода только для CPU 686. Попытка запуска данных пакетов на более старых CPU приведёт к краху. Всем пользователям Unstable и Testing на старых CPU рекомендуется использовать Debian 8 "Jessie", в котором поддержка старых процессоров продлится до 2018 или 2020 года, если для Jessie будет предоставлена дополнительная поддержка LTS.

Среди процессоров, на которых теперь не смогут работать Debian Unstable и Testing:

  • AMD K5, K6, K6-2 (aka K6 3D), K6-3
  • DM&P/SiS Vortex86, Vortex86SX
  • Cyrix III, MediaGX, MediaGXm
  • IDT Winchip C6, Winchip 2
  • Intel Pentium, Pentium with MMX
  • Rise mP6
  • VIA C3 'Samuel 2', C3 'Ezra'


  1. Главная ссылка к новости (https://lists.debian.org/debia...)
  2. OpenNews: Началось бета-тестирование Devuan, форка Debian без systemd
  3. OpenNews: Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться до 31 мая 2018 года
  4. OpenNews: Конфликт из-за поставки устаревшей версии XScreenSaver в Debian
  5. OpenNews: Заморозка пакетной базы Debian 9 "Stretch" отложена на два месяца
  6. OpenNews: Из Debian удалены сборки пакетов с драйверами NVIDIA из-за подозрений в несовместимости с GPL
Лицензия: CC BY 3.0
Короткая ссылка: https://opennet.ru/44386-debian
Ключевые слова: debian, i386
При перепечатке указание ссылки на opennet.ru обязательно


Обсуждение (103) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Шурек Табуреткин (ok), 23:15, 07/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –5 +/
    Запасаемся попкорном :)
     
     
  • 2.71, Аноним (-), 20:49, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    смысл? жарить-то можно на более поздних камнях теперь.
     
  • 2.81, Аноним (-), 00:21, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Ух, сколько их раньше разных было...
    Сейчас то какая современная архитектура?  Чует мое сердце, что 20 лет эволюции Пк - это дофига, и что сборки под "i386" (почему не 686?) не используют половины фич современных кпу.
     
  • 2.4, Аноним (-), 23:30, 07/05/2016 [^] [^^] [^^^] [ответить]  
  • –3 +/
    А почему не использовать софт который раньше выпустили? Ведь для старого железа не нужно нового варианта софта
     
     
  • 3.7, dmitrmax (ok), 23:53, 07/05/2016 [^] [^^] [^^^] [ответить]  
  • +21 +/
    А почему бы не включить чувство юмора?
     
     
  • 4.72, Аноним (-), 20:51, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Правильно. Я так на 80486DX2/32MB/1.2GB линолеум как-то поставил. Смешно было, но работало.
     
     
  • 5.82, Аноним (-), 00:21, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Правильно. Я так на 80486DX2/32MB/1.2GB линолеум как-то поставил. Смешно было, но работало.

    Не. Я за ламинат.


     
  • 5.90, бедный буратино (ok), 01:45, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    я ставил на 486dx4-75 20 после отключения restore mode работало быстрее 95 98 и... большой текст свёрнут, показать
     
  • 5.100, Вареник (?), 14:36, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >> 32MB

    Сейчас распакованный образ ядра за сотню сожрет.

     
     
  • 6.103, Аноним (-), 00:09, 10/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Сейчас распакованный образ ядра за сотню сожрет.

    Неправда, типичный размер для дистра а-ля убунты - двадцатник. Остальное в модулях. А сжатый образ стало быть мегов 5-8, в зависимости от алгоритма. В openwrt до метра догоняются, но там чтобы флешка заработала - надо модуль скачать сначала, т.е. хардкор.

     
     
  • 7.113, Andrey Mitrofanov (?), 12:28, 12/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Ма-а-альчишки Не ссорьтесь ТМ Вы оба правы И оба неправы, потому что линей... большой текст свёрнут, показать
     
  • 3.22, бедный буратино (ok), 02:00, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +3 +/
    надо. новый софт лучше старых двух, даже тот же консольный софт совершенствуется. попробуйте сами поставить Debian 4.0 и пожить там - постоянно будет не хватать того, сего и всего.

    а вообще, начиная с Debian 7.0, у пеньков тупо памяти не хватит initrd загрузить. 6.0 я использовал на Pentium 1.

    http://st.51t.ru/586ss.png

     
     
  • 4.26, skybon (ok), 04:20, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Засветил почту в письме в Claws Mail.
     
     
  • 5.28, бедный буратино (ok), 06:06, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    это не моя почта. там за всю историю было только 4 тестовых письма, сомневаюсь, что за 5 лет что-то изменилось :)
     
     
  • 6.42, бедный буратино (ok), 10:45, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    интересно, кто и по какой причине поставил этому сообщению плюс? :)
     
     
  • 7.48, Аноним (-), 11:12, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Хозяин почты, наверное. Рад, что прославился.
     
     
  • 8.59, бедный буратино (ok), 15:03, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    этот ящик принадлежал тогда номинально моему сыну правда, он даже не знал об ... текст свёрнут, показать
     
     
  • 9.65, Аноним (-), 15:58, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Да ты ж взрослый аутист ... текст свёрнут, показать
     
  • 4.27, Айнанимм (?), 05:34, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    запусти https://sourceforge.net/projects/systemback/ и сделав образ, положи его с небольшим описанием ПО (что, для чего и как) гденибудь в сети - тысячи пользователей, в том числе и начинающих, будут тебе благодарны... а то сейчас при распросе гугла выподает только тиникоре, которое не стартует на первых пнях и требует от 64 мегов памяти...
     
     
  • 5.29, бедный буратино (ok), 06:07, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > запусти https://sourceforge.net/projects/systemback/ и сделав образ, положи его с небольшим
    > описанием ПО (что, для чего и как) гденибудь в сети -
    > тысячи пользователей, в том числе и начинающих, будут тебе благодарны... а
    > то сейчас при распросе гугла выподает только тиникоре, которое не стартует
    > на первых пнях и требует от 64 мегов памяти...

    я лучше сделаю подобное для OpenBSD - включая как и образ, так и siteXX.tgz

     
  • 5.30, бедный буратино (ok), 06:10, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > запусти https://sourceforge.net/projects/systemback/ и сделав образ, положи его с небольшим
    > описанием ПО (что, для чего и как) гденибудь в сети -
    > тысячи пользователей, в том числе и начинающих, будут тебе благодарны... а
    > то сейчас при распросе гугла выподает только тиникоре, которое не стартует
    > на первых пнях и требует от 64 мегов памяти...

    я несколько лет назад где-то на опеннете (но уже не помню, где, а может и не на опеннете), делал тест-драйв дистрибутивов на 8, 16 и 32 мб памяти

    на 486/4 у меня работал baslinux, который я кои-8-фицировал и даже выходил через links в интернет, с помощью ppp over serial

    ещё у меня где-то валялся образ OpenBSD 4.2 на 810 мб, который я делал для p150/24/810, но тот ноут уже помер.

     
     
  • 6.38, Айнамимм (?), 10:05, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    >я лучше сделаю подобное для OpenBSD...

    а разве одно другому мешает? :) Дебиан уже есть, значит можно будет сравнивать две системы меж собой по ресурсоёмкости и отзывчивости...

    >ещё у меня где-то валялся образ OpenBSD 4.2 на 810 мб, который я делал для p150/24/810, но тот ноут уже помер.

    вместе с винтом? - печально... а то было бы интересно взглянуть, т к такие ноуты встречаются, да и десяти мегабитные pcmcia-шки тоже поподаются...

     
     
  • 7.44, бедный буратино (ok), 10:46, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >>я лучше сделаю подобное для OpenBSD...
    > а разве одно другому мешает? :) Дебиан уже есть, значит можно будет
    > сравнивать две системы меж собой по ресурсоёмкости и отзывчивости...

    дебиан 6.0? нет, конечно, его уже нет. это скрин 2011 года.

    >>ещё у меня где-то валялся образ OpenBSD 4.2 на 810 мб, который я делал для p150/24/810, но тот ноут уже помер.
    > вместе с винтом? - печально... а то было бы интересно взглянуть, т
    > к такие ноуты встречаются, да и десяти мегабитные pcmcia-шки тоже поподаются...

    не, винтов от старых ноутов у меня навалом. у меня ноутов для них не хватает :)

     
     
  • 8.49, Айнанимм (?), 11:17, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    а почему бы и нет его поддержка поддержка только пару месяцев назад прекратилас... текст свёрнут, показать
     
     
  • 9.52, Айнанимм (?), 12:30, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    даже готов прислать свой старый, ради такого дела ... текст свёрнут, показать
     
  • 6.51, Anonim (??), 12:13, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > на 486/4 у меня работал

    А у меня до сих пор работает сбор данных на EBOX-3310A, (http://www.compactpc.com.tw/product.aspx?act=detail&id=19), там Vortex с нормальной частотой и производительностью, но архитектура 486-я

     
  • 5.95, Аноним (-), 08:42, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > запусти https://sourceforge.net/projects/systemback/ и сделав образ, положи его с небольшим описанием ПО

    Зачем? Возьми debootstrap и сделай как тебе нравится сам.

     
  • 4.45, crypt (ok), 10:53, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    я в свое время просто памяти добавил. 256мб и все ок.

     
  • 4.46, crypt (ok), 10:55, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    я как раз вчера отнес в гараж pentimum 233mmx. и на нем i686 должно работать отлично.
     
     
  • 5.47, бедный буратино (ok), 11:07, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    pentium 233mmx или pentium2 233mmx? на первом не будет 686
     
     
  • 6.80, Аноним (-), 00:02, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > pentium 233mmx

    Первымх пентиумов на 233 МГц не выпускали.

     
     
  • 7.85, Led (ok), 00:33, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    >> pentium 233mmx
    > Первымх пентиумов на 233 МГц не выпускали.

    Выпускали. В ноутах такие были.

     
     
  • 8.87, бедный буратино (ok), 01:36, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    вот в ноутах ни разу не видел, а в десктопах были у каждого второго у меня он д... текст свёрнут, показать
     
     
  • 9.93, Led (ok), 05:31, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Согласен Перепутал с 266MHz, которые были только в мобильном варианте 233MHz б... текст свёрнут, показать
     
  • 7.86, бедный буратино (ok), 01:36, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    чё? выпускали, самые популярные были p166mmx, p200mmx и p233mmx, были в любом прайсе

    я тебе больше скажу - у меня лично был p233mmx

     
  • 4.79, Аноним (-), 00:01, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > http://st.51t.ru/586ss.png

    Win95 в claws mail аутентичен.

     
  • 4.83, Аноним (-), 00:27, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/

    > а вообще, начиная с Debian 7.0, у пеньков тупо памяти не хватит
    > initrd загрузить. 6.0 я использовал на Pentium 1.

    Интересно чего там такого концептуально нового и нужного появилось, что ресурсов только на запуск системы уходит больше чем на все тагдашние реальные задачи? 15 лет назад же линукс тоже запускался и запускал сервисы и что-то даже делал, разве нет? Все хают какие-то программы или системы(не будем называть их), а жиреет, похоже, вся индустрия, или жиреют сами потребители...


     
     
  • 5.88, бедный буратино (ok), 01:37, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    всё просто: модули ядра для пяти миллиардов устройств, плюс фирмваре для них.
     
  • 2.21, бедный буратино (ok), 01:57, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    use openbsd, it works!
     
  • 2.107, darkshvein (ok), 12:18, 11/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    ой питрасян-питрасян. уже вин8 требовала "Support for PAE, NX and SSE2".
     

  • 1.3, Аноним (-), 23:25, 07/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Вот что systemd животворящий делает!

    Все ближе к могильнику апатча :)

     
     
  • 2.12, Анончег (?), 01:11, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +4 +/
    У апачей скорее уж долина смерти, а не какой-то там могильник, они всё-таки индейцы - и размах у них соответствующий. Так что "не надо нам тут подбрасывать"(С)
     
  • 2.84, Аноним (-), 00:29, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Вот что systemd животворящий делает!
    > Все ближе к могильнику апатча :)

    Тут выше пишут, что и один только initrd тагдашнее железо уже не тянет.

     
     
  • 3.91, бедный буратино (ok), 01:47, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    >> Вот что systemd животворящий делает!
    >> Все ближе к могильнику апатча :)
    > Тут выше пишут, что и один только initrd тагдашнее железо уже не тянет.

    я помню, на k5-100/16 ставил какой-то промежуточный дебиан между вуди и саржэ. так уже там инитрдка стандартная в память не влезала - но при этом всё равно всё грузилось :) хотя слака на той машине летала куда быстрее.

     

  • 1.5, Аноним (-), 23:34, 07/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Трагедии-то не произошло. Современный софт уже требует что-то помощнее (у меня был Pentium MMX и 98 винда), а старые выпуски как работали, так и будут работать.
     
     
  • 2.9, Anonim (??), 00:07, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +47 +/
    >Современный софт уже требует что-то помощнее

    Но по какой-то непонятной причине делает ровно то же, а часто даже и меньше, того, что делал когда-то старый софт :)

     
     
  • 3.13, Анончег (?), 01:13, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Но по какой-то непонятной причине делает ровно то же, а часто даже
    > и меньше, того, что делал когда-то старый софт :)

    Плюсанул, ты брат, прямо в корень глядишь. Спасибо тебе, за высказанную верную мысль.

     
  • 3.25, Led (ok), 03:31, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +5 +/
    А ещё раньше вода была мокрее.
     
     
  • 4.31, Аноним (-), 07:31, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Раньше было лучше...
     

  • 1.8, Саня (??), 00:06, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    печально, есть еще 4(5) штуки amd k6-2 на работе - ээххх.
     
     
  • 2.10, Ilya Indigo (ok), 00:12, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > печально, есть еще 4(5) штуки amd k6-2 на работе - ээххх.

    И вы собирались на них накатывать свежайший софт из нестабильных веток?
    Да ещё и использовать их для решения современных актуальных задач?

     
  • 2.11, й (?), 00:37, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    у меня они тоже были лет 15 назад. i686 уже двадцать лет.
     
  • 2.16, Анончег (?), 01:17, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +6 +/
    > печально, есть еще 4(5) штуки amd k6-2 на работе - ээххх.

    Срочно продавай, пока ещё Дебиян новых сборок не выпустил, и благодари Опеннетик за инсайдерские сведения, а так и остался бы сидеть на этих камнях.

     

  • 1.14, pentium user (?), 01:15, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    жирный debian не будет работать на pentium. зловещий смех. занавес
     
     
  • 2.17, Анончег (?), 01:19, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > жирный debian не будет работать на pentium. зловещий смех. занавес

    Слушай, так юзеры пенитумов же все вымерли, ты с того света что ли прямо на Опеннетик пишешь - надо же, "до чего техника дошла"(С)

     
     
  • 3.69, . (?), 20:35, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Не, не верю! Это бот в виртуалочке :)
     

  • 1.18, nc (ok), 01:36, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Как быть с одноплатными компьютерами на процах, идентиченых например 486?
     
     
  • 2.20, Crazy Alex (ok), 01:55, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Скорее всего - пересобирать самим. Собственно, на таких штуках редко стандартные дистрибутивы стоят.

    Опять же - поддержку 486 раньше выбросили. Сейчас перестали поддерживать первопни.

     
  • 2.68, Влад (??), 17:18, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    А там обычнго buildroot или что-то подобное используют
     
  • 2.70, . (?), 20:37, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Дать им дожить на том что есть сейчас и активно смотреть в сторону "одноплатных компьютеров на процах, идентичных например ARM" :-)
     

  • 1.19, бедный буратино (ok), 01:55, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    так это же уже давно было заявлено - насколько я помню, ядер 486 на диски с девяткой уже давно не кладут, только 686-pae
     
  • 1.24, Какаянахренразница (ok), 03:27, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > Среди процессоров, на которых теперь не смогут работать Debian Unstable и
    > Testing:
    >  AMD K5, K6, K6-2 (aka K6 3D), K6-3
    >  ...
    >  Intel Pentium, Pentium with MMX

    Не-е-е-ет!!! Что же, я зря их хранил все эти годы?!

     
     
  • 2.32, A.Stahl (ok), 08:06, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +4 +/
    Есть ещё *BSD, freeDOS и множество всякого менее распространённого.
    Более того, я абсолютно уверен (а я сам владелец не одного килограмма подобного оборудования), что ты хранил эти платы вовсе не в качестве запасного варианта если сломается текущая машина:)
     
     
  • 3.94, Какаянахренразница (ok), 06:37, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Ну, мало ли... Вдруг случится Большой Пэ? Вдруг окажется, что все современные процы содержат закладки и "стучат" на меня "туда", и юзабельными будут только эти экспонаты? И тут засада -- для них уже нет софта...
     

  • 1.33, Аноним (-), 08:47, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    Всё, потолок. После единого для всех 686, были разные и несовместимые друг с другом реализации 786. Скомпилил под P3 - на K7 не работает. И наоборот.Ну и всякий софт с сильными оптимизациями (архиваторы, кодеки) собирали под старый проц, но с возможностью вызова 786-х инструкций
     
     
  • 2.43, Аноним (-), 10:45, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Что если собрать прогу под march = k8, и попробовать запустить на core2? Или наоборот? Обязательно ли собирать именно под generic-x86_64? А что делает mtune?
     
  • 2.108, Michael Shigorin (ok), 18:17, 11/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > единого для всех 686

    В каком месте-то единого?

     

  • 1.34, Аноним (34), 08:59, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    Ну сейчас придут нафталиновые некрофилы и будут рассказывать про огромный парк старых компов и что совсем нет денег даже на raspberry pi, которая уделывает всю эту рухлядь и при этом работает на современных ядрах. Ага.
     
     
  • 2.35, A.Stahl (ok), 09:16, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +4 +/
    >сейчас придут нафталиновые некрофилы

    Уже выросло поколение некрофилов, которые не видели ничего старше третепня:)

     
  • 2.36, EuPhobos (ok), 09:49, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Такими темпами могут и про Pi заявить "не поддержку", допустим решат поддерживать только armv8 64bit, или более современные инструкции АРМ чем Пи, ради сустемДэ.
     
     
  • 3.37, A.Stahl (ok), 09:58, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Ну да, через 20 лет вполне смогут "задепрекейтить" этот SoC. Ничего страшного тут не вижу...
     
  • 3.60, бедный буратино (ok), 15:06, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    ты не поверишь, но pi и не поддерживается
     
     
  • 4.96, Аноним (-), 08:45, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > ты не поверишь, но pi и не поддерживается

    ты не поверишь, но поддерживается armel, armhf и armv8, в том числе и пи стало быть.

     
     
  • 5.104, бедный буратино (ok), 06:56, 10/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    >> ты не поверишь, но pi и не поддерживается
    > ты не поверишь, но поддерживается armel, armhf и armv8, в том числе и пи стало быть.

    разве armel поддерживается в новых выпусках debian? не поверю, пойду проверю.

    в любом случае, даже те выпуски debian, которые поддерживают armel, на pi не используются. там используются сборки, поддерживающие armv6, ибо я помню, как кто-то говорил, что даже с декодированием аудио armel по сравнению с armv6 выглядит очень печально

     
     
  • 6.114, Andrey Mitrofanov (?), 12:49, 12/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    >>> ты не поверишь, но pi и не поддерживается
    >> ты не поверишь, но поддерживается armel, armhf и armv8, в том числе и пи стало быть.
    > разве armel поддерживается в новых выпусках debian? не поверю, пойду проверю.

    http://mirror.yandex.ru/debian-cd/8.4.0/
    http://cdimage.debian.org/cdimage/stretch_di_alpha5/
    http://cdimage.debian.org/cdimage/weekly-builds/

    > в любом случае, даже те выпуски debian, которые поддерживают armel, на pi

    arm-железки вообще жутчайший зоопарк      //Я так слыхала.
    https://d-i.debian.org/manual/en.armel/ch02s01.html#armel-supported-platforms

    "А них ж-ж-ж-е даж-ж-же нет BIOS-а! Какое убож-ж-жество!!"
    Там аж "просто загрузиться" -- всегда отдельный квест с конями.

    > не используются. там используются сборки, поддерживающие armv6, ибо я помню, как
    > кто-то говорил, что даже с декодированием аудио armel по сравнению с
    > armv6 выглядит очень печально

    Всё наоборот: в оригинальном Pi дешёвый бродкомовский armv6-обрубок, а "большой" Debian, вроде, требует/собран для v7... Или нет?  ...аааа https://wiki.debian.org/RaspberryPi , "тут играем, тут не играем, а тут рыбу заворачивали".

    После *такого* IBM и Intel [и MS] -- близки, родны, теплы и ламповы.

     
  • 3.109, Michael Shigorin (ok), 18:21, 11/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Такими темпами могут и про Pi заявить "не поддержку", допустим решат поддерживать
    > только armv8 64bit, или более современные инструкции АРМ чем Пи

    Это как раз более чем разумно: v6hf из тех малинок был... редкостью (т.е. так только под них и собирали, похоже), а без аппаратной плавучки для ОС общего назначения, да ещё и с соответствующим софтом, уж больно небыстр.  v7hf уже куда ни шло, но памяти пара гигов и всё.

    Справедливости ради, тут как раз systemd решительно ни при чём.

     
     
  • 4.111, Andrey Mitrofanov (?), 18:53, 11/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Такими темпами могут и про Pi заявить "не поддержку", допустим решат поддерживать
    >> только armv8 64bit, или более современные инструкции АРМ чем Пи

    #>>, ради сустемДэ.

    > Это как раз более чем разумно: v6hf из тех малинок был... редкостью
    > Справедливости ради, тут как раз systemd решительно ни при чём.

    Восторженная аудитория набежавших потреб--телей дёшево-разноцветных маркетинговых свисто-п--делок *очень* похожи. Та-а-што, в "переспективе", и этих ждут такие же "решительные" кидки, как тех.  Чем не Общность? :D

     

  • 1.41, chinarulezzz (ok), 10:36, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    slackware 14.2 будет i586. 14.1, 14.0 (поддерживаемые) - остаются все еще i486.
     
  • 1.53, Аноним (-), 12:32, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Вообще-то, Pentium Pro - и есть i686. i586 - это Pentium и Pentium MMX.
     
     
  • 2.54, Аноним (-), 13:13, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Век живи - век учись! А что насчёт K6? Почему цифра 6, а i686-несовместим?
     
     
  • 3.55, Garikk (?), 13:20, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    потому что эта цифра 6 ничего общего с интелом не имеет
     
  • 3.58, Ordu (ok), 14:26, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Это не шесть -- это б.
     
  • 3.63, бедный буратино (ok), 15:27, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    хороший, кстати, вопрос. Amd K5 точно 586. В отличие от Amd 5x. мне почему-то казалось, что K6 умеет 686. Сейчас проверил - нет, не умеет, показалось. Или я с чем-то путаю.
     
     
  • 4.74, Онаним (?), 21:18, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –2 +/
    K6 вроде был просто разогнанным K5 (также как 5x - разогнанным 486-м). Но после него были K6-2 и K6-3, конкурировавшие с 2-ми и 3-ми пнями.
     
     
  • 5.77, Led (ok), 21:57, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > K6 вроде был просто разогнанным K5 (также как 5x - разогнанным 486-м).

    Бред. K6 - это NexGen. Т.е. с K5 у него общего только буква "K".

     

  • 1.61, robux (ok), 15:11, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Т.е. всякие ARMы они могут поддерживать, а "Pentium with MMX" уже не могут?!

    Это диверсией в лагере дебиана попахивает: "Эй, вы, стадо! Быстро все на UEFI и другие продвинутые зонды от АНБ! (а то раньше у нас зонды были слишком скромные!)"

     
     
  • 2.64, soarin (ok), 15:43, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Для вашей палаты сохранена поддержка Pentium II
    Так что примите таблеточки и не кричите
     
  • 2.97, Аноним (-), 08:48, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Т.е. всякие ARMы они могут поддерживать, а "Pentium with MMX" уже не могут?!

    Т.е. всякие ARM производятся сегодня и используются майнтайнерами, которые и майнтайнят их по этому поводу. А желающие майнтайнить первые пентиумы видимо вымерли вместе с железом.

     

  • 1.66, Аноним (-), 16:23, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Интересно сколько пентиумов сможет заменить среднестатистический мобильный флагман
     
     
  • 2.67, A.Stahl (ok), 16:37, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Нисколько. В "среднестатистическом мобильном флагмане" нет ни ISA ни VLB. А кроме необходимости в поддержке старых шин сложно представить зачем кто-то может ещё поддерживать первопень.
     
  • 2.106, Аноним (-), 10:49, 10/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Pentium на максимуме может работать 100% времени, даже если к совр. многоядернику в смартфоне припаять радиатор(не вскрывая корпус микросхемы) и охлаждать его до +10 по Цельсию, то он всё равно перегреется и начнёт снижать частоту ;)
     

  • 1.73, Аноним (-), 21:05, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А винтажные компы на RISCах есть у кого?
    А на древних CISCах? Типа Motorola 68000 и VAX
     
     
  • 2.76, . (?), 21:51, 08/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    У меня был SGI Octane дома :) Выкинул в 2009 :( Даже задаром, даже с подвозом к новому владельцу (в пределах города) - никому был не нужен.
    Друг где то тогда же выкинул две альфы. По тем же причинам.

    А уж безликие макаронины винтеля - выкинуть вообще не жалко.

     
     
  • 3.89, бедный буратино (ok), 01:39, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    ех! на такие бы машинки, да OpenBSD поставить... чё ж за город у вас такой безалаберный!!!
     
     
  • 4.102, _ (??), 18:12, 09/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Нормальный город, юогатый :) А у Тео такая была уже, кстати. Так что выкинул. Хотя и выпил потом с тоски :)
     
     
  • 5.105, бедный буратино (ok), 06:57, 10/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Нормальный город, юогатый :) А у Тео такая была уже, кстати. Так
    > что выкинул. Хотя и выпил потом с тоски :)

    Ну у Тео их столько (было), что они электричества жрут больше, чем небольшая канадская деревня. Приходится выбирать - или музей, или электричество канадским деревням.

     

  • 1.78, Аноним (-), 22:02, 08/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Т.е. раз всё компилируется только с инструкциями процессоров Pentium 2/Celeron и выше, теперь всё будет летать?
     
  • 1.99, Аноним (-), 12:01, 09/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Оно и так не работала. Попытка запустить Debian7 386 на MediaGX всегда завершалось неудачей. На Pentium 1 - абсолютно та же ситуация. Не надо врать.
     
  • 1.101, Аноним (101), 14:43, 09/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Безбожно врут. Имею кучу материнок с припаенным Via c3. 6 дебиан ставился ещё нормально, но потом всегда подвисал в процессе работы. А вотначиная с 7 дебиана, после установки даже не грузилось, всегда был циклический ребут. мало того gcc c 4.8 релиза вообще разучилось делать любой x86 код без CMOV. а это минимуи тот же 686, так что не надо ляля, поддержки старых процессоров молчком была давным давно свёрнута.
     
     
  • 2.110, Michael Shigorin (ok), 18:32, 11/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > мало того gcc c 4.8 релиза вообще разучилось делать любой x86 код без CMOV.
    > а это минимуи тот же 686, так что не надо ляля, поддержки старых процессоров
    > молчком была давным давно свёрнута.

    Если что, у led@ когда-то был экспериментальный ядерный патчик насчёт программной эмуляции разницы -- можно поискать по архивам, если кому CMOV совсем надо.  Мог входить в состав https://packages.altlinux.org/ru/4.0/srpms/kernel-image-led-tc/patches или https://packages.altlinux.org/ru/5.0/srpms/kernel-image-led-tc/patches (но по именам патчей сходу не вижу).

     
     
  • 3.112, Led (ok), 23:45, 11/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    >> мало того gcc c 4.8 релиза вообще разучилось делать любой x86 код без CMOV.
    >> а это минимуи тот же 686, так что не надо ляля, поддержки старых процессоров
    >> молчком была давным давно свёрнута.
    > Если что, у led@ когда-то был экспериментальный ядерный патчик насчёт программной эмуляции
    > разницы -- можно поискать по архивам, если кому CMOV совсем надо.
    >  Мог входить в состав https://packages.altlinux.org/ru/4.0/srpms/kernel-image-led-tc/patches
    > или https://packages.altlinux.org/ru/5.0/srpms/kernel-image-led-tc/patches (но
    > по именам патчей сходу не вижу).

    feat-arch-x86--cpu-emu

    На 80486-ом дистрибутивы i586 работали без заметной просадки.
    i686 (там добавились CMOV, FCMOV, FCOMI) AFAIR тоже как-то вроде работало, но окончательно оттестить не хватило времени/терпения/желания, да и железа-то такого нет давно, а на qemu как-то лениво было. К тому же эмуляция i686 скорее всего таки даст просадку в производительности (CMOV'ы довольно часто используются, в одно редко и двух очень редко использумых иструкций i586).

     
     
  • 4.115, сергей (??), 19:43, 13/12/2020 [^] [^^] [^^^] [ответить]  
  • +/
    Заинтересовался этим патчем feat-arch-x86--cpu-emu. Может сохранился у вас
    и перешлете мне на seyko2 gmail. На ftp серверах не нашел. Там уже поменялось содержимое.

    >[оверквотинг удален]
    >>  Мог входить в состав https://packages.altlinux.org/ru/4.0/srpms/kernel-image-led-tc/patches
    >> или https://packages.altlinux.org/ru/5.0/srpms/kernel-image-led-tc/patches (но
    >> по именам патчей сходу не вижу).
    > feat-arch-x86--cpu-emu
    > На 80486-ом дистрибутивы i586 работали без заметной просадки.
    > i686 (там добавились CMOV, FCMOV, FCOMI) AFAIR тоже как-то вроде работало, но
    > окончательно оттестить не хватило времени/терпения/желания, да и железа-то такого нет
    > давно, а на qemu как-то лениво было. К тому же эмуляция
    > i686 скорее всего таки даст просадку в производительности (CMOV'ы довольно часто
    > используются, в одно редко и двух очень редко использумых иструкций i586).

     
     
  • 5.116, Led (ok), 06:22, 14/12/2020 [^] [^^] [^^^] [ответить]  
  • +/
    > Заинтересовался этим патчем feat-arch-x86--cpu-emu

    Зачем?

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Партнёры:
    PostgresPro
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2024 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру